.loading-progress-container {
  position: fixed;
  z-index: 10000;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 100%;
  cursor: wait;
}

.loading-progress-active {
  visibility: visible;
}

.loading-progress-overlay {
  width: 100%;
  height: 100%;
  z-index: 10001;
  opacity: .5;
  filter: alpha(opacity=50);
  background-color: white;
}

.loading-progress-message-container {
  position: absolute;
  top: 35%;
  left: 0;
  right: 0;
  height: 0;
  text-align: center;
  z-index: 10001;
}

.loading-progress-message-container span {
  display: inline-block;
  text-align: left;
  background-color: #333;
  color: #f5f5f5;
  padding: 20px;
  border-radius: 10px;
  font-size: 20px;
  font-weight: bold;
}

.reactmodal-overlay-messagebox {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: rgba(255, 255, 255, 0.74902);
  /* zindex greatet than busy indicator */
  z-index: 10003
}

/* .table-grid1{
  
} */
.spinner-small {
  width: 120px;
  height: 120px;
  background: transparent url('../Theme/images/spinner.gif') no-repeat;
}

.row.display-flex {
  display: flex;
  flex-wrap: wrap;
}

.row.display-flex>[class*='col-'] {
  display: flex;
  flex-direction: column;
}

.panel {
  height: 100%;
}

/* .modal {
  position: absolute;
  top: 50%;
  left: 50%;
  right: auto;
  bottom: auto;
  margin-left: -50%;
  background-color: rgb(255, 255, 255);
} */

/*
commented by

*/
.overlay {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  z-index: 1000;
  background-color: rgba(225, 225, 225, 0.547);
}

/* written by shaheryar to create custom srollbar after full width theme customization issue  **starts**      */
body {
  overflow: scroll !important;
}

::-webkit-scrollbar {
  width: 1rem;
  height: 1vh;
}

::-webkit-scrollbar-button {
  top: 0;
  width: 1rem;
  height: 5px;
}

/* Track */
::-webkit-scrollbar-track {
  box-shadow: inset 0 0 1px white;
  border-radius: 1px;
}

/* Handle */
::-webkit-scrollbar-thumb {
  background: rgb(192, 189, 189);
  border-radius: 1px;
}

::-webkit-scrollbar-thumb:hover {
  background: #555;
}

/* written by shaheryar to create custom srollbar after full width theme customization issue  **ends**      */

.greyColor {
  color: #505050;
}
.redstar{
  color: #ff0000;
}
.custmcontainer {
  display: table;
  table-layout: auto;
  width: 100%;
  border-collapse: separate;
  border-spacing: 10px;
}

.left-section,
.right-section {
  display: table-cell;
  padding: 30px;
  border: 1px solid #e4e4e4;
  vertical-align: top;
}

.left-section {
  width: 40%;
  background-color: #ffffff;

}

.right-section {
  width: 40%;
  background-color: #ffffff;
}

/*Custom css for making tables columns resizeable -- Starts Here*/
.resizeable_table_head {
  border-collapse: collapse;
  width:100%;
}
 .resizeable_table_head td, 
.resizeable_table_head thead th {
  padding: 5px;
  text-align: left;
 /* color: #000;*/
}

/* .resizeable_table_head td {
  padding: 5px;
  text-align: left;
 color: #000;
} */

.resizeable_table_head thead tr {
  position: relative;
}
.resizeable_table_head tbody tr:nth-child() {
  background-color: #DDD;
}

.resizeable_table_head thead th {
  position: sticky;
  top: 0;  
  background-color: #333; 
  resize: horizontal;
  overflow: auto;
 
}
 /*Custom css for making tables columns resizeable -- Ends Here*/


/* highlight input fields starts*/
input:focus ,select:focus ,textarea:focus  {
box-shadow: 0 0 5pt #85878a !important;
border: 3px solid #85878a !important;
}